Subject: Re: bug#24471: 25.1.50; Error on empty PATH component

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Sep 2016 11:54:36 -0400

Eli Zaretskii wrote:

> Another issue is whether we want to filter out nil or leave it alone
> (i.e. change the function used by mapcar so it skips nil elements)?
> Any thoughts on this one?

Please just replace nil elements with ".".

The point of that code in cus-start is so that exec-path does not show
up in customize-rogue output under normal circumstances. A test case is

PATH=:$PATH emacs -Q -f customize-rogue